Groovy 1.7.10

## org.codehaus.groovy.tools.shell
[Groovy] Class Shell

    java.lang.Object
      org.codehaus.groovy.tools.shell.Shell

    class Shell
    extends Object

A simple shell for invoking commands from a command-line.

Authors:
  Jason Dillon

Version:
  \$Id: Shell.groovy 8432 2007-10-07 08:55:37Z user57 \$

Field Summary
`protected Logger` | `log`

Property Summary
`IO` | `io`
`CommandRegistry` | `registry`

Constructor Summary
`Shell(IO io)`
`Shell()`

Method Summary
`Object` | `execute(String line)`
`Command` | `findCommand(String line)`
`boolean` | `isExecutable(String line)`
`def` | `leftShift(String line)`
`def` | `leftShift(Command command)`
`protected List` | `parseLine(String line)`
`Command` | `register(Command command)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### log

    protected final Logger log

Property Detail

### io

    final IO io

### registry

    final CommandRegistry registry

Constructor Detail

### Shell

    Shell(IO io)

### Shell

    Shell()

Method Detail

### execute

    Object execute(String line)

### findCommand

    Command findCommand(String line)

### isExecutable

    boolean isExecutable(String line)

### leftShift

    def leftShift(String line)

### leftShift

    def leftShift(Command command)

### parseLine

    protected List parseLine(String line)

### register

    Command register(Command command)

Copyright © 2003-2010 The Codehaus. All rights reserved.